org.apache.cxf.staxutils.validation

## Class ResolvingGrammarReaderController

- java.lang.Object
- - org.apache.cxf.staxutils.validation.ResolvingGrammarReaderController

- All Implemented Interfaces:
    com.sun.msv.reader.GrammarReaderController, com.sun.msv.reader.GrammarReaderController2, LSResourceResolver, EntityResolver

      public class ResolvingGrammarReaderController
      extends Object
      implements com.sun.msv.reader.GrammarReaderController2, LSResourceResolver

  Catch error messages and resolve schema locations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolvingGrammarReaderController(String baseURI, Map<String,EmbeddedSchema> sources)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(Locator[] locs, String msg, Exception nestedException)`
    `LSResourceResolver` | `getLSResourceResolver()`
    `InputSource` | `resolveEntity(String publicId, String systemId)`
    `LSInput` | `resolveResource(String type, String namespaceURI, String publicId, String systemId, String resolveBaseURI)`
    `void` | `warning(Locator[] locs, String errorMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolvingGrammarReaderController

          public ResolvingGrammarReaderController(String baseURI,
                                                  Map<String,EmbeddedSchema> sources)

  - ### Method Detail

    - #### error

          public void error(Locator[] locs,
                            String msg,
                            Exception nestedException)

      Specified by:
        `error` in interface `com.sun.msv.reader.GrammarReaderController`

    - #### warning

          public void warning(Locator[] locs,
                              String errorMessage)

      Specified by:
        `warning` in interface `com.sun.msv.reader.GrammarReaderController`

    - #### resolveEntity

          public InputSource resolveEntity(String publicId,
                                           String systemId)
                                    throws SAXException,
                                           IOException

      Specified by:
        `resolveEntity` in interface `EntityResolver`
      Throws:
        `SAXException`
        `IOException`

    - #### getLSResourceResolver

          public LSResourceResolver getLSResourceResolver()

      Specified by:
        `getLSResourceResolver` in interface `com.sun.msv.reader.GrammarReaderController2`

    - #### resolveResource

          public LSInput resolveResource(String type,
                                         String namespaceURI,
                                         String publicId,
                                         String systemId,
                                         String resolveBaseURI)

      Specified by:
        `resolveResource` in interface `LSResourceResolver`

Apache CXF